%define anolis_release 1

%global sover 3

Name:       libnsl2
Version:    2.0.1
Release:    %{anolis_release}%{?dist}
Summary:    Public client interface library for NIS(YP) and NIS+
License:    BSD and LGPLv2+
URL:        https://github.com/thkukuk/libnsl
Source0:    https://github.com/thkukuk/libnsl/archive/v%{version}.tar.gz

BuildRequires: gettext-devel, libtool, libtirpc-devel
BuildRequires: make, gcc, autoconf, automake

%description
libnsl2 is a package that contains the libnsl library, which contains 
the public client interface for NIS (YP) and NIS+
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package devel
Summary: Development files for libnsl
Requires: %{name} = %{EVR}

Conflicts: glibc-devel < 2.26.9000-40

%description devel
Development files for libnsl2

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n libnsl-%{version}

%build
autoreconf -fiv

%configure \
  --disable-static

%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libnsl.so.%{sover}
%{_libdir}/libnsl.so.%{sover}.*
%{abidir}/libnsl.dump

%files devel
%{_libdir}/libnsl.so
%{_includedir}/*
%{_libdir}/pkgconfig/libnsl.pc

%files doc
%doc README NEWS AUTHORS ABOUT-NLS

%changelog
* Tue Feb 27 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.1-1
- update to 2.0.1

* Tue Apr 11 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.0.0-5
- Optimize the spec file

* Sat Apr 8 2023 Funda Wang <fundawang@yeah.net> - 2.0.0-4
- add abi file

* Tue Mar 8 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 2.0.0-3
- Init version from upstream v2.0.0
